petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetCostIntegral

Returns the values of the integral term in the cost functions. It is valid to call the routine after a backward run.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetCostIntegral(TS ts,Vec *v)

Not Collective Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

### Output Parameter

v -the vector containing the integrals for each cost function Many br

Many br

### See Also

TSSetCostIntegrand()

### Keywords

TS, sensitivity analysis

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages